package lingtao.net.bean;

import java.util.Date;

import lombok.Data;

/**
 * 操作日志--供新增客服数据，只保留几天数据
 * 
 * @author Administrator
 *
 */
@Data
public class QuoteData {

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getRemarkJudge() {
		return remarkJudge;
	}

	public void setRemarkJudge(String remarkJudge) {
		this.remarkJudge = remarkJudge;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getRealname() {
		return realname;
	}

	public void setRealname(String realname) {
		this.realname = realname;
	}

	public String getShopname() {
		return shopname;
	}

	public void setShopname(String shopname) {
		this.shopname = shopname;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public Date getQuoteTime() {
		return quoteTime;
	}

	public void setQuoteTime(Date quoteTime) {
		this.quoteTime = quoteTime;
	}

	public String getWangwang() {
		return wangwang;
	}

	public void setWangwang(String wangwang) {
		this.wangwang = wangwang;
	}

	public String getIsBuy() {
		return isBuy;
	}

	public void setIsBuy(String isBuy) {
		this.isBuy = isBuy;
	}

	public Date getBuyDate() {
		return buyDate;
	}

	public void setBuyDate(Date buyDate) {
		this.buyDate = buyDate;
	}

	public String getIsBuyToDay() {
		return isBuyToDay;
	}

	public void setIsBuyToDay(String isBuyToDay) {
		this.isBuyToDay = isBuyToDay;
	}

	public Date getIsBuyToDayDate() {
		return isBuyToDayDate;
	}

	public void setIsBuyToDayDate(Date isBuyToDayDate) {
		this.isBuyToDayDate = isBuyToDayDate;
	}

	public String getCommentSelf() {
		return commentSelf;
	}

	public void setCommentSelf(String commentSelf) {
		this.commentSelf = commentSelf;
	}

	public Date getCommentSelfDate() {
		return commentSelfDate;
	}

	public void setCommentSelfDate(Date commentSelfDate) {
		this.commentSelfDate = commentSelfDate;
	}

	public String getCommentManager() {
		return commentManager;
	}

	public void setCommentManager(String commentManager) {
		this.commentManager = commentManager;
	}

	public Date getCommentManagerDate() {
		return commentManagerDate;
	}

	public void setCommentManagerDate(Date commentManagerDate) {
		this.commentManagerDate = commentManagerDate;
	}

	public String getIsSelect() {
		return isSelect;
	}

	public void setIsSelect(String isSelect) {
		this.isSelect = isSelect;
	}

	public Date getSelectDate() {
		return selectDate;
	}

	public void setSelectDate(Date selectDate) {
		this.selectDate = selectDate;
	}

	public String getIsFillIn() {
		return isFillIn;
	}

	public void setIsFillIn(String isFillIn) {
		this.isFillIn = isFillIn;
	}

	public Date getFillInDate() {
		return fillInDate;
	}

	public void setFillInDate(Date fillInDate) {
		this.fillInDate = fillInDate;
	}

	public String getProTypeLabel() {
		return proTypeLabel;
	}

	public void setProTypeLabel(String proTypeLabel) {
		this.proTypeLabel = proTypeLabel;
	}

	public Double getBuyPrice() {
		return buyPrice;
	}

	public void setBuyPrice(Double buyPrice) {
		this.buyPrice = buyPrice;
	}

	public String getOrderNumber() {
		return orderNumber;
	}

	public void setOrderNumber(String orderNumber) {
		this.orderNumber = orderNumber;
	}

	public String getRoleSearch() {
		return roleSearch;
	}

	public void setRoleSearch(String roleSearch) {
		this.roleSearch = roleSearch;
	}

	public String[] getRoleArr() {
		return roleArr;
	}

	public void setRoleArr(String[] roleArr) {
		this.roleArr = roleArr;
	}

	public String[] getRoleSearchArr() {
		return roleSearchArr;
	}

	public void setRoleSearchArr(String[] roleSearchArr) {
		this.roleSearchArr = roleSearchArr;
	}

	public String getQuoteTimeBegin() {
		return quoteTimeBegin;
	}

	public void setQuoteTimeBegin(String quoteTimeBegin) {
		this.quoteTimeBegin = quoteTimeBegin;
	}

	public String getQuoteTimeEnd() {
		return quoteTimeEnd;
	}

	public void setQuoteTimeEnd(String quoteTimeEnd) {
		this.quoteTimeEnd = quoteTimeEnd;
	}

	public Double getAllData() {
		return allData;
	}

	public void setAllData(Double allData) {
		this.allData = allData;
	}

	public Double getAllNotBuy() {
		return allNotBuy;
	}

	public void setAllNotBuy(Double allNotBuy) {
		this.allNotBuy = allNotBuy;
	}

	public Double getAllBuy() {
		return allBuy;
	}

	public void setAllBuy(Double allBuy) {
		this.allBuy = allBuy;
	}

	public Double getTodayBuy() {
		return todayBuy;
	}

	public void setTodayBuy(Double todayBuy) {
		this.todayBuy = todayBuy;
	}

	public Double getNotTodayBuy() {
		return notTodayBuy;
	}

	public void setNotTodayBuy(Double notTodayBuy) {
		this.notTodayBuy = notTodayBuy;
	}

	public Double getAllBuyPrice() {
		return allBuyPrice;
	}

	public void setAllBuyPrice(Double allBuyPrice) {
		this.allBuyPrice = allBuyPrice;
	}

	public Double getTodayBuyPrice() {
		return todayBuyPrice;
	}

	public void setTodayBuyPrice(Double todayBuyPrice) {
		this.todayBuyPrice = todayBuyPrice;
	}

	public Double getNotTodayBuyPrice() {
		return notTodayBuyPrice;
	}

	public void setNotTodayBuyPrice(Double notTodayBuyPrice) {
		this.notTodayBuyPrice = notTodayBuyPrice;
	}

	public Double getAllBuyPercentage() {
		return allBuyPercentage;
	}

	public void setAllBuyPercentage(Double allBuyPercentage) {
		this.allBuyPercentage = allBuyPercentage;
	}

	public String getIsSelfShop() {
		return isSelfShop;
	}

	public void setIsSelfShop(String isSelfShop) {
		this.isSelfShop = isSelfShop;
	}

	public String getByProTypeLabel() {
		return byProTypeLabel;
	}

	public void setByProTypeLabel(String byProTypeLabel) {
		this.byProTypeLabel = byProTypeLabel;
	}

	private Integer id;

	private String remark;

	private String remarkJudge;

	private String role;

	private String username;

	private String realname;

	private String shopname;

	private Double price;
	
	private Date quoteTime;

	private String wangwang;

	private String isBuy;

	private Date buyDate;

	private String isBuyToDay;

	private Date isBuyToDayDate;

	private String commentSelf;

	private Date commentSelfDate;

	private String commentManager;

	private Date commentManagerDate;

	private String isSelect;

	private Date selectDate;

	private String isFillIn;

	private Date fillInDate;

	private String proTypeLabel;

	private Double buyPrice;
	
	private String orderNumber;
	
	/*================*/

	// 根据角色（部门）查找数据
	private String roleSearch;

	// 用户所拥有的部门数组
	private String[] roleArr;

	private String[] roleSearchArr;

	private String quoteTimeBegin;

	private String quoteTimeEnd;

	private Double allData;

	private Double allNotBuy;

	private Double allBuy;

	private Double todayBuy;

	private Double notTodayBuy;

	private Double allBuyPrice;

	private Double todayBuyPrice;

	private Double notTodayBuyPrice;

	private Double allBuyPercentage;

	private String isSelfShop;
	
	private String byProTypeLabel;
}
